package com.ruoyi.zhushi.service;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhushi.entity.AppDTO;
import com.ruoyi.zhushi.entity.DkAttendanceGroupDTO;
import com.ruoyi.zhushi.entity.DkCheckInConfigDTO;
import com.ruoyi.zhushi.entity.DkCheckInRecordDTO;

import java.util.List;

public interface DkAttendanceGroupService {

    TableDataInfo<DkAttendanceGroupDTO> queryPageList(DkAttendanceGroupDTO dkAttendanceGroupDTO);

    public String add(DkAttendanceGroupDTO dkAttendanceGroupDTO);

    public int del(long id);

    public AppDTO queryAttendanceGroupBYUserId(long useId);

    public int deleteConfig(long id);
}
